### Method

# Gtk Window fullscreen

#### Declaration [src]

    void
    gtk_window_fullscreen (
      GtkWindow* window
    )

#### Description [src]

Asks to place the window in the fullscreen state.

Note that you shouldn’t assume the window is definitely fullscreen afterward, because other entities (e.g. the user or window manager) unfullscreen it again, and not all window managers honor requests to fullscreen windows.

If a window is not explicitly fullscreened or unfullscreened before it is shown, the initial state is at the window managers discretion.

You can track the result of this operation via the `GdkToplevel:state` property, or by listening to notifications of the `GtkWindow:fullscreened` property.